.\" $NetBSD: eject.1,v 1.11 2002/10/02 15:53:47 wiz Exp $
.\"
.\" Copyright (c) 1998 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 6, 2001
.Dt EJECT 1
.Os
.Sh NAME
.Nm eject
.Nd eject a floppy disk, cdrom or tape
.Sh SYNOPSIS
.Nm
.Op Fl fv
.Op Fl l | L | U
.Op Fl t Ar device-type
.Op Fl d
.Ar device
.Pp
.Nm
.Fl n
.Sh DESCRIPTION
The
.Nm
program ejects a medium from the specified device.
It can also load a cdrom
in the drive if this operation is supported by the hardware.
The
.Ar device
argument specifies a device either by its full path name
.Po
identified by a
.Pa /dev/
prefix
.Pc ,
or by one of the built-in nicknames.
If the medium contains a file system that is currently mounted,
.Nm
will attempt to unmount the file system before ejecting.
.Pp
The following options are available:
.Bl -tag -width xxx
.It Fl d
Deprecated.
.It Fl f
Force the eject operation without attempting to unmount any file systems first.
.It Fl l
Load media in the drive (only supported for the cdrom device type).
.It Fl L
Lock the media into the drive (but see
.Sx BUGS
below).
.It Fl n
List the built-in nicknames on standard output.
.It Fl t Ar device-type
Specify the device type.
The argument must be one of
.Sy diskette ,
.Sy floppy ,
.Sy cdrom ,
.Sy disk ,
or
.Sy tape .
This option is necessary when ejecting a device for which no built-in
knowledge is available.
.It Fl U
Unlock the media from the drive.
.It Fl v
Display some of the actions taken on standard output.
.El
.Sh BUGS
Most disk drivers automatically lock the media on the first open and
unlock it on the last close, making
.Ql Ic eject Fl L
almost useless, since when it closes the device, it gets unlocked
again.
